Loading...
Searching...
No Matches
etl::crc1_policy Struct Reference

`#include <crc1.h>`

## Public Types

enum | { odd_parity = 1 , even_parity = 0 }
typedef uint8_t | value_type

## Public Member Functions

ETL_CONSTEXPR14 value_type | initial () const
ETL_CONSTEXPR14 uint8_t | add (int parity, uint8_t value) const
ETL_CONSTEXPR14 uint8_t | final (uint8_t parity) const

## Detailed Description

fnv_1 policy. Calculates FNV1.

The documentation for this struct was generated from the following file:

- include/etl/crc1.h